/*

  This is a part of the Project Frontier's Source code.

  Copyright (C) 1994-1998 Francis Gastellu
                      aka Lone Runner/Aegis

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/
#include "break.h"
int far breakPoint[128];

void addBreakPoint(int line)
{
int n;
for (n=0;n<128;n++)
	if (breakPoint[n] <= 0)
    	{ breakPoint[n] = line; break; }
}

void removeBreakPoint(int line)
{
int n;
for (n=0;n<128;n++)
	if (breakPoint[n] == line)
    	{ breakPoint[n] = 0; break; }
}

int isBreakPoint(int line)
{
int n;
for (n=0;n<128;n++)
	if (breakPoint[n] == line)
    	return 1;
return 0;
}

void shiftBreakPoints(int base, int nLines)
{
int a;
for (a=0;a<128;a++)
    if (breakPoint[a] >= base) breakPoint[a] += nLines;
}
